Package twisted :: Package internet :: Module interfaces :: Class IReadWriteDescriptor

[show private | hide private]
[frames | no frames]

## Class IReadWriteDescriptor

      Interface --+
                  |
    IFileDescriptor --+
                      |
        IReadDescriptor --+
                          |
      Interface --+       |
                  |       |
    IFileDescriptor --+   |
                      |   |
       IWriteDescriptor --+
                          |
                         IReadWriteDescriptor

I am a FileDescriptor that can both read and write.

Method Summary
| ``doRead`(self)` Some data is available for reading on your descriptor. (inherited from `IReadDescriptor`)
| ``doWrite`(self)` Some data is available for reading on your descriptor. (inherited from `IWriteDescriptor`)
| ``fileno`(self)` fileno() -> int (inherited from `IFileDescriptor`)

Generated by Epydoc 1.1 on Sat Feb 15 21:17:52 2003 | http://epydoc.sf.net